# Create conversation POST https://api.moveworks.ai/rest/v1beta1/conversations Content-Type: application/json Creates a new conversation thread. Returns the created Conversation object with a unique `conversation_id`. If `title` is not provided, an AI generated title will be assigned based on the first user message. Reference: https://docs.moveworks.com/api-reference/conversations-api/conversations/create-conversation ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Create conversation version: endpoint_conversations.createConversation paths: /conversations: post: operationId: create-conversation summary: Create conversation description: >- Creates a new conversation thread. Returns the created Conversation object with a unique `conversation_id`. If `title` is not provided, an AI generated title will be assigned based on the first user message. tags: - - subpackage_conversations parameters: - name: Authorization in: header description: >- JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as 'Bearer '. required: true schema: type: string - name: Assistant-Name in: header description: >- The Moveworks assistant identifier that was configured for your organization. required: true schema: type: string responses: '201': description: Conversation created successfully content: application/json: schema: $ref: '#/components/schemas/Conversation' '400': description: Bad request - Invalid input parameters content: {} '401': description: Unauthorized - Invalid or missing authentication content: {} '429': description: Rate limit exceeded content: {} '500': description: Internal server error content: {} requestBody: content: application/json: schema: $ref: '#/components/schemas/CreateConversationRequest' components: schemas: CreateConversationRequest: type: object properties: title: type: string description: Optional conversation title (max 256 characters) Conversation: type: object properties: conversation_id: type: string description: 'Unique conversation identifier (format: conv_)' title: type: string description: Optional user-defined title (max 256 characters) archived: type: boolean description: User-controlled flag to mark conversation as archived created_at: type: string format: date-time description: Creation timestamp (ISO 8601) updated_at: type: string format: date-time description: Last update timestamp (ISO 8601) required: - conversation_id - archived - created_at - updated_at ``` ## SDK Code Examples ```python Conversations_createConversation_example import requests url = "https://api.moveworks.ai/rest/v1beta1/conversations" payload = { "title": "Help with user permissions" } headers = { "Assistant-Name": "acmecorp-conversations-rest-api", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Conversations_createConversation_example const url = 'https://api.moveworks.ai/rest/v1beta1/conversations'; const options = { method: 'POST', headers: { 'Assistant-Name': 'acmecorp-conversations-rest-api', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"title":"Help with user permissions"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Conversations_createConversation_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.moveworks.ai/rest/v1beta1/conversations" payload := strings.NewReader("{\n \"title\": \"Help with user permissions\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Assistant-Name", "acmecorp-conversations-rest-api") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Conversations_createConversation_example require 'uri' require 'net/http' url = URI("https://api.moveworks.ai/rest/v1beta1/conversations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Assistant-Name"] = 'acmecorp-conversations-rest-api' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"title\": \"Help with user permissions\"\n}" response = http.request(request) puts response.read_body ``` ```java Conversations_createConversation_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.moveworks.ai/rest/v1beta1/conversations") .header("Assistant-Name", "acmecorp-conversations-rest-api") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"title\": \"Help with user permissions\"\n}") .asString(); ``` ```php Conversations_createConversation_example request('POST', 'https://api.moveworks.ai/rest/v1beta1/conversations', [ 'body' => '{ "title": "Help with user permissions" }', 'headers' => [ 'Assistant-Name' => 'acmecorp-conversations-rest-api', 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Conversations_createConversation_example using RestSharp; var client = new RestClient("https://api.moveworks.ai/rest/v1beta1/conversations"); var request = new RestRequest(Method.POST); request.AddHeader("Assistant-Name", "acmecorp-conversations-rest-api"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"title\": \"Help with user permissions\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Conversations_createConversation_example import Foundation let headers = [ "Assistant-Name": "acmecorp-conversations-rest-api", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["title": "Help with user permissions"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/rest/v1beta1/conversations")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```